/**
 *
 * @file error.ts
 * @description It only holds constants. No class, functions, vars.
 *          - the value of the constant must be a string only. It cannot contain numeric value.
 */
export declare const UNKNOWN = "unknown-error";
export declare const FIREBASE_API_ERROR = "firebase-api-error";
export declare const NOT_FOUND = "not-found";
export declare const ALREADY_EXISTS = "already-exists";
export declare const PERMISSION_DENIED = "permission-denied";
export declare const RESOURCE_EXHAUSTED = "resource-exhausted";
export declare const USER_IS_NOT_LOGGED_IN = "You are not logged in";
export declare const NO_DOCUMENT_ID = "no-document-id";
export declare const DOCUMENT_ID_TOO_LONG = "document-id-too-long";
export declare const DOCUMENT_ID_CANNOT_CONTAIN_SLASH = "document-id-cannot-cotain-slash";
export declare const COLLECTION_NOT_EMPTY = "collection-not-empty";
export declare const CATEGORY_ID_EMPTY = "no-document-id";
export declare const CATEGORY_EXISTS = "already-exists";
export declare const CATEGORY_DOES_NOT_EXIST = "not-found";
export declare const POST_ID_NOT_EMPTY = "post-id-not-empty";
export declare const POST_ID_EMPTY = "post-id-empty";
export declare const ALREADY_LIKED = "already-liked-or-disliked";
export declare const EMAIL_ALREADY_IN_USE = "auth/email-already-in-use";
export declare const USER_NOT_FOUND = "auth/user-not-found";
export declare const INVALID_EMAIL = "auth/invalid-email";
export declare const WEAK_PASSWORD = "auth/weak-password";
export declare const EXPIRED_ID_TOKEN = "auth/id-token-revoked";
export declare const WRONG_PASSWORD = "auth/wrong-password";
export declare const PASSWORD_TOO_LONG = "password-too-long";
