import { NgZone } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Base } from './etc/base';
import { User } from './user/user';
import { Category } from './category/category';
import { Post } from './post/post';
import { Data } from './data/data';
import { Comment } from './comment/comment';
export declare class FireService extends Base {
    private ngZone;
    user: User;
    category: Category;
    post: Post;
    comment: Comment;
    data: Data;
    /** This runs only one time. contructor of Service will run only one time and re-used by container. */
    constructor(ngZone: NgZone, http: HttpClient);
    initUser(): void;
}
